Bug 831566 - SELinux is preventing cp from write, open access on the file All_Regions.ini.
SELinux is preventing cp from write, open access on the file All_Regions.ini.
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2012-06-13 06:27 EDT by Ken Fallon
Modified: 2012-06-15 08:51 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-06-15 07:48:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ken Fallon 2012-06-13 06:27:57 EDT
libreport version: 2.0.10
executable:     /usr/bin/python2.7
hashmarkername: setroubleshoot
kernel:         3.4.0-1.fc17.i686
time:           Wed 13 Jun 2012 12:26:43 PM CEST

:SELinux is preventing cp from write, open access on the file All_Regions.ini.
:*****  Plugin catchall (100. confidence) suggests  ***************************
:If you believe that cp should be allowed write open access on the All_Regions.ini file by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:allow this access for now by executing:
:# grep cp /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:Additional Information:
:Source Context                unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c
:                              0.c1023
:Target Context                unconfined_u:object_r:user_home_dir_t:s0
:Target Objects                All_Regions.ini [ file ]
:Source                        cp
:Source Path                   cp
:Port                          <Unknown>
:Host                          (removed)
:Source RPM Packages           
:Target RPM Packages           
:Policy RPM                    selinux-policy-3.10.0-128.fc17.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Enforcing
:Host Name                     (removed)
:Platform                      Linux (removed) 3.4.0-1.fc17.i686 #1 SMP Sun Jun
:                              3 07:16:04 UTC 2012 i686 i686
:Alert Count                   2
:First Seen                    Wed 13 Jun 2012 12:23:15 PM CEST
:Last Seen                     Wed 13 Jun 2012 12:23:15 PM CEST
:Local ID                      cb66af04-572e-4dfd-8ca6-6a4534b14d6a
:Raw Audit Messages
:type=AVC msg=audit(1339582995.132:139): avc:  denied  { write open } for  pid=1889 comm="wfica" name="All_Regions.ini" dev="dm-3" ino=6685651 scontext=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:user_home_dir_t:s0 tclass=file
:Hash: cp,mozilla_plugin_t,user_home_dir_t,file,write,open
:audit2allowunable to open /sys/fs/selinux/policy:  Permission denied
:audit2allow -Runable to open /sys/fs/selinux/policy:  Permission denied
Comment 1 Miroslav Grepl 2012-06-15 07:48:51 EDT
It looks you will need to run

# restorecon -Rv ~/

We added some fixes to make this working in future.
Comment 2 Ken Fallon 2012-06-15 08:51:27 EDT
Confirmed working :)

Note You need to log in before you can comment on or make changes to this bug.